Name:		libfep
Version:	0.0.8
Release:	1%{?dist}
Summary:	Library to implement FEP (front end processor) on ANSI terminals

License:	BSD and GPLv3+
Group:		System Environment/Libraries
URL:		http://github.com/ueno/libfep
Source0:	http://cloud.github.com/downloads/ueno/libfep/%{name}-%{version}.tar.gz

# FIXME switch to libgee-0.8 once this package is ready for the new libgee API
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool

%description
The libfep project aims to provide a server and a library to implement
input method FEP (front end processor), running on ANSI compliant
terminals.


%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
# needed to regenerate GIR
GIO_LIBS=`pkg-config gio-2.0 gmodule-2.0 --libs`
export GIO_LIBS
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f '{}' ';'
cp -p fep/README README.fep


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README README.fep COPYING fep/COPYING.BSD ChangeLog
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/Fep*.typelib
%{_bindir}/fep*
%{_mandir}/man1/fep*

%files devel
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/Fep*.gir
%{_datadir}/vala/vapi/*


%changelog
* Thu Mar 29 2012 Daiki Ueno <dueno@redhat.com> - 0.0.8-1
- new upstream release

* Thu Mar 29 2012 Daiki Ueno <dueno@redhat.com> - 0.0.7-1
- new upstream release

* Tue Mar  6 2012 Daiki Ueno <dueno@redhat.com> - 0.0.6-1
- new upstream release

* Wed Feb 15 2012 Daiki Ueno <dueno@redhat.com> - 0.0.5-1
- new upstream release

* Fri Feb 10 2012 Daiki Ueno <dueno@redhat.com> - 0.0.4-1
- new upstream release
- install manpages
- add ChangeLog to %%doc and drop empty %%doc from -devel subpackage
- single quote {} of the find command
- drop vala-tools from BR

* Fri Feb  3 2012 Daiki Ueno <dueno@redhat.com> - 0.0.1-1
- initial packaging for Fedora

